import { OnDestroy } from '@angular/core';
import { Subject } from 'rxjs';
import { PicovoiceOptions, PorcupineDetection, PorcupineKeyword, PorcupineModel, RhinoContext, RhinoInference, RhinoModel } from '@picovoice/picovoice-web';
import * as i0 from "@angular/core";
export declare class PicovoiceService implements OnDestroy {
    wakeWordDetection$: Subject<PorcupineDetection>;
    inference$: Subject<RhinoInference>;
    contextInfo$: Subject<string | null>;
    isLoaded$: Subject<boolean>;
    isListening$: Subject<boolean>;
    error$: Subject<Error | null>;
    private picovoice;
    constructor();
    init(accessKey: string, keyword: PorcupineKeyword, porcupineModel: PorcupineModel, context: RhinoContext, rhinoModel: RhinoModel, options?: PicovoiceOptions): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
    release(): Promise<void>;
    ngOnDestroy(): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<PicovoiceService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PicovoiceService>;
}
